Re: [gentoo-dev] Packages up for grabs: x11-misc/arandr

2021-05-03 Thread Conrad Kostecki

Am 03.05.2021 um 02:45 schrieb Jonas Stein:

the following packages are up for grabs after dropping
desktop-misc:

x11-misc/arandr
https://packages.gentoo.org/packages/x11-misc/arandr


I will take it.




[gentoo-dev] [PATCH v2] aspell-dict-r1.eclass: add EAPI=7 support

2021-03-07 Thread Conrad Kostecki
This adds support for EAPI=7.

Also overhauled the ebuild and dropped aspell-0.50 from *DEPEND, as it's
not anymore in tree. Also slightly adjusted messages and taking ownership.

Since there is a open bug ticket about setting a default value for
ASPELL_VERSION, I am changing the logic a little bit. ASPELL_VERSION
will be by default version 6, while version 5 or no version can be set
by an empty variable instead. It's needed for automatic SRC_URI, since
there are packages starting with 'aspell', 'aspell5' or 'aspell6',
despite being all for aspell-0.60.

This is a preparation for an major version bump off all
app-dicts/aspell-* language dicts ebuilds. Most of them are anyway
outdated, so we could bump them directly to EAPI=7 after merging this
one here.

Closes: https://bugs.gentoo.org/637710
Closes: https://bugs.gentoo.org/770259
Signed-off-by: Conrad Kostecki 
---
 eclass/aspell-dict-r1.eclass | 74 ++--
 1 file changed, 37 insertions(+), 37 deletions(-)

diff --git a/eclass/aspell-dict-r1.eclass b/eclass/aspell-dict-r1.eclass
index b07af61fdf1..14bbfcb98d2 100644
--- a/eclass/aspell-dict-r1.eclass
+++ b/eclass/aspell-dict-r1.eclass
@@ -1,42 +1,48 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # @ECLASS: aspell-dict-r1.eclass
 # @MAINTAINER:
-# maintainer-nee...@gentoo.org
+# Conrad Kostecki 
 # @AUTHOR:
-# Original author: Seemant Kulleen
-#  -r1 author: David Seifert
-# @SUPPORTED_EAPIS: 6
-# @BLURB: An eclass to streamline the construction of ebuilds for new aspell 
dicts
+# Seemant Kulleen 
+# David Seifert 
+# Conrad Kostecki 
+# @SUPPORTED_EAPIS: 6 7
+# @BLURB: An eclass to streamline the construction of ebuilds for new aspell 
dictionaries.
 # @DESCRIPTION:
-# The aspell-dict-r1 eclass is designed to streamline the construction of
-# ebuilds for the new aspell dictionaries (from gnu.org) which support
-# aspell-0.50. Support for aspell-0.60 has been added by Sergey Ulanov.
+# The aspell-dict-r1 eclass is designed to streamline the construction of 
ebuilds
+# for the new aspell dictionaries (from gnu.org) which support aspell-0.50.
+# Support for aspell-0.60 has been added by Sergey Ulanov.
 
 # @ECLASS-VARIABLE: ASPELL_LANG
 # @REQUIRED
 # @DESCRIPTION:
-# Pure cleartext string that is included into DESCRIPTION. This is the name
-# of the language, for instance "Hungarian". Needs to be defined before
-# inheriting the eclass.
+# Pure cleartext string that is included into DESCRIPTION.
+# This is the name of the language, for instance "Hungarian".
+# Needs to be defined before inheriting the eclass.
+
+# @ECLASS-VARIABLE: ASPELL_SPELLANG
+# @DESCRIPTION:
+# Short (readonly) form of the language code, generated from ${PN}.
+# For instance, 'aspell-hu' yields to the value 'hu'.
+readonly ASPELL_SPELLANG="${PN/aspell-/}"
 
 # @ECLASS-VARIABLE: ASPELL_VERSION
 # @DESCRIPTION:
-# What major version of aspell is this dictionary for? Valid values are 5, 6 
or undefined.
-# This value is used to construct SRC_URI and *DEPEND strings. If defined to 6,
-# >=app-text/aspell-0.60 will be added to DEPEND and RDEPEND, otherwise,
-# >=app-text/aspell-0.50 is added to DEPEND and RDEPEND. If the value is to be 
overridden,
-# it needs to be overridden before inheriting the eclass.
+# What major version of aspell is this dictionary for? Valid values are 5, 6 
or empty.
+# This value is used to construct SRC_URI strings.
+# If the value needs to be overridden, it needs to be overridden before 
inheriting the eclass.
+: ${ASPELL_VERSION:-6}
 
 case ${EAPI:-0} in
-   [0-5])
-   die "aspell-dict-r1.eclass is banned in EAPI ${EAPI:-0}"
+   0|1|2|3|4|5)
+   die "Unsupported EAPI=${EAPI} (obsolete) for ${ECLASS}"
;;
-   6)
+   6|7)
;;
*)
-   die "Unknown EAPI ${EAPI:-0}"
+   die "Unknown EAPI=${EAPI} for ${ECLASS}"
;;
 esac
 
@@ -44,29 +50,22 @@ EXPORT_FUNCTIONS src_configure src_install
 
 if [[ ! ${_ASPELL_DICT_R1} ]]; then
 
-# aspell packages have an idiosyncratic versioning scheme, that is
-# the last separating version separator is replaced by a '-'.
-_ASPELL_P=aspell${ASPELL_VERSION}-${PN/aspell-/}-${PV%.*}-${PV##*.}
+[[ ! -z "${ASPELL_VERSION}" && "${ASPELL_VERSION}" != [56] ]] && die 
"Unsupported ASPELL_VERSION=${ASPELL_VERSION} for ${ECLASS}"
 
-# @ECLASS-VARIABLE: ASPELL_SPELLANG
-# @DESCRIPTION:
-# Short (readonly) form of the language code, generated from ${PN}
-# For instance, 'aspell-hu' yields the value 'hu'.
-readonly ASPELL_SPELLANG=${PN/aspell-/}
-S="${WORKDIR}/${_ASPELL_P}"
+# Most of those aspell packages have an idiosyncratic versioning scheme,
+# where the last separating version separator is replaced by a '-'.

[gentoo-dev] Last rites: app-portage/splat

2021-03-07 Thread Conrad Kostecki

# Conrad Kostecki  (2021-03-07)
# Upstream since 2004 gone, does not supportnon-English characters,
# multiple bugs open and unmaintained.
# Removal in 30 days.
app-portage/splat



[gentoo-dev] Last rites: sys-apps/newrelic-sysmond

2021-03-05 Thread Conrad Kostecki

# Conrad Kostecki  (2021-03-05)
# Deprecated by upstream and unsupported due EOL.
# Multiple bugs open and unmaintained.
# Removal in 30 days.
sys-apps/newrelic-sysmond



[gentoo-dev] Last rites: app-mobilephone/smsclient

2021-03-05 Thread Conrad Kostecki

# Conrad Kostecki  (2021-03-05)
# Dead upstream, multiple bugs open and unmaintained.
# Removal in 30 days.
app-mobilephone/smsclient



[gentoo-dev] Last rites: net-misc/capi4hylafax

2021-03-05 Thread Conrad Kostecki

# Conrad Kostecki  (2021-03-05)
# Dead upstream, multiple bugs open and unmaintained.
# Removal in 30 days.
net-misc/capi4hylafax



[gentoo-dev] Last rites: app-misc/towitoko

2021-03-04 Thread Conrad Kostecki

# Conrad Kostecki  (2021-03-05)
# Dead upstream and unmaintained.
# Removal in 30 days.
app-misc/towitoko



[gentoo-dev] Last rites: app-misc/logserial

2021-03-04 Thread Conrad Kostecki

# Conrad Kostecki  (2021-03-04)
# Dead upstream and unmaintained.
# Removal in 30 days.
app-misc/logserial



[gentoo-dev] Last rites: net-dns/sheerdns

2021-03-04 Thread Conrad Kostecki

# Conrad Kostecki  (2021-03-04)
# Dead upstream, open bugs and unmaintained.
# Removal in 30 days.
net-dns/sheerdns




[gentoo-dev] Last rites: net-wireless/irda-utils

2021-01-21 Thread Conrad Kostecki

# Conrad Kostecki  (2020-01-21)
# All kernels >= 4.17 removed IrDA drivers and support,
# the package has also multiple bugs open and is unmaintained.
# Removal in 30 days.
net-wireless/irda-utils




Re: [gentoo-dev] [PATCH v3] eclass/lua-utils.eclass: Add support for test-runners

2021-01-20 Thread Conrad Kostecki



Am 08.01.2021 um 01:14 schrieb Conrad Kostecki:

During migration of dev-lua/* ebuilds to slotted lua, I noticed, that
many ebuilds use 'dev-lua/busted' for running tests. This change adds
support for running a test-runner, at first only 'busted' for now.
Also a non-color and plaintext output will be used for the test-runner 'busted'.

This is basically a copy of the test-runner section, written by mgorny,
which already exists in 'distutils-r1', but modified and adapted to lua.

In order to use this feature, you can define 'lua_enable_tests busted'
to setup everything needed for tests and run them. By default,
'dev-lua/busted' assumes, that tests are in the 'spec' folder.

If this is not the case, you can add a second argument to specify a
different folder. For example, if the folder is called 'foo', you can
just run 'lua_enable_tests busted foo'.

More test-runners can be added in future, if needed.

PATCH v2 has two changes:
- removed EAPI condition, as lua-utils is EAPI=7 only.
- make test_directoy as a local variable and use eval in src_test to
   read it.

PATCH v3 has the right patch, as v2 was wrong.


Merged!




Re: [gentoo-dev] Packages up for grabs

2021-01-17 Thread Conrad Kostecki

Am 17.01.2021 um 10:26 schrieb Michał Górny:

[ v] sys-power/acpi_call


I will take this one.




[gentoo-dev] Last rites: games-fps/duke3d-demodata

2021-01-10 Thread Conrad Kostecki

# Conrad Kostecki  (2021-01-10)
# The Duke Nukem 3D demo data files will be now handled by the
# 'games-fps/duke3d-data' package, so this package isn't
# needed anymore. Just remove it and switch to the above one.
# Enable use flag 'demo' for demo data files.
# Removal in 14 days.
games-fps/duke3d-demodata




[gentoo-dev] [PATCH v3] eclass/lua-utils.eclass: Add support for test-runners

2021-01-07 Thread Conrad Kostecki
During migration of dev-lua/* ebuilds to slotted lua, I noticed, that
many ebuilds use 'dev-lua/busted' for running tests. This change adds
support for running a test-runner, at first only 'busted' for now.
Also a non-color and plaintext output will be used for the test-runner 'busted'.

This is basically a copy of the test-runner section, written by mgorny,
which already exists in 'distutils-r1', but modified and adapted to lua.

In order to use this feature, you can define 'lua_enable_tests busted'
to setup everything needed for tests and run them. By default,
'dev-lua/busted' assumes, that tests are in the 'spec' folder.

If this is not the case, you can add a second argument to specify a
different folder. For example, if the folder is called 'foo', you can
just run 'lua_enable_tests busted foo'.

More test-runners can be added in future, if needed.

PATCH v2 has two changes:
- removed EAPI condition, as lua-utils is EAPI=7 only.
- make test_directoy as a local variable and use eval in src_test to
  read it.

PATCH v3 has the right patch, as v2 was wrong.

Signed-off-by: Conrad Kostecki 
---
 eclass/lua-utils.eclass | 70 +
 1 file changed, 70 insertions(+)

diff --git a/eclass/lua-utils.eclass b/eclass/lua-utils.eclass
index 100be14cb08..0589318ef51 100644
--- a/eclass/lua-utils.eclass
+++ b/eclass/lua-utils.eclass
@@ -344,6 +344,76 @@ _lua_export() {
done
 }
 
+# @FUNCTION: lua_enable_tests
+# @USAGE:  
+# @DESCRIPTION:
+# Set up IUSE, RESTRICT, BDEPEND and src_test() for running tests
+# with the specified test runner.  Also copies the current value
+# of RDEPEND to test?-BDEPEND.  The test-runner argument must be one of:
+#
+# - busted: dev-lua/busted
+#
+# Additionally, a second argument can be passed after ,
+# so  will use that directory to search for tests.
+# If not passed, a default directory of  will be used.
+#
+# - busted: spec
+#
+# This function is meant as a helper for common use cases, and it only
+# takes care of basic setup.  You still need to list additional test
+# dependencies manually.  If you have uncommon use case, you should
+# not use it and instead enable tests manually.
+#
+# This function must be called in global scope, after RDEPEND has been
+# declared.  Take care not to overwrite the variables set by it.
+lua_enable_tests() {
+   debug-print-function ${FUNCNAME} "${@}"
+
+   [[ ${#} -ge 1 ]] || die "${FUNCNAME} takes at least one argument: 
test-runner (test-directory)"
+   local test_directory
+   local test_pkg
+   case ${1} in
+   busted)
+   test_directory="${2:-spec}"
+   test_pkg="dev-lua/busted"
+   if [[ ! ${_LUA_SINGLE_R0} ]]; then
+   eval "lua_src_test() {
+   busted --lua=\"\${ELUA}\" 
--output=\"plainTerminal\" \"${test_directory}\" || die \"Tests fail with 
\${ELUA}\"
+   }"
+   src_test() {
+   lua_foreach_impl lua_src_test
+   }
+   else
+   eval "src_test() {
+   busted --lua=\"\${ELUA}\" 
--output=\"plainTerminal\" \"${test_directory}\" || die \"Tests fail with 
\${ELUA}\"
+   }"
+   fi
+   ;;
+   *)
+   die "${FUNCNAME}: unsupported argument: ${1}"
+   esac
+
+   local test_deps=${RDEPEND}
+   if [[ -n ${test_pkg} ]]; then
+   if [[ ! ${_LUA_SINGLE_R0} ]]; then
+   test_deps+=" ${test_pkg}[${LUA_USEDEP}]"
+   else
+   test_deps+=" $(lua_gen_cond_dep "
+   ${test_pkg}[\${LUA_USEDEP}]
+   ")"
+   fi
+   fi
+   if [[ -n ${test_deps} ]]; then
+   IUSE+=" test"
+   RESTRICT+=" !test? ( test )"
+   BDEPEND+=" test? ( ${test_deps} )"
+   fi
+
+   # we need to ensure successful return in case we're called last,
+   # otherwise Portage may wrongly assume sourcing failed
+   return 0
+}
+
 # @FUNCTION: lua_get_CFLAGS
 # @USAGE: []
 # @DESCRIPTION:
-- 
2.30.0




[gentoo-dev] [PATCH v2] eclass/lua-utils.eclass: Add support for test-runners

2021-01-07 Thread Conrad Kostecki
During migration of dev-lua/* ebuilds to slotted lua, I noticed, that
many ebuilds use 'dev-lua/busted' for running tests. This change adds
support for running a test-runner, at first only 'busted' for now.
Also a non-color and plaintext output will be used for the test-runner 'busted'.

This is basically a copy of the test-runner section, written by mgorny,
which already exists in 'distutils-r1', but modified and adapted to lua.

In order to use this feature, you can define 'lua_enable_tests busted'
to setup everything needed for tests and run them. By default,
'dev-lua/busted' assumes, that tests are in the 'spec' folder.

If this is not the case, you can add a second argument to specify a
different folder. For example, if the folder is called 'foo', you can
just run 'lua_enable_tests busted foo'.

More test-runners can be added in future, if needed.

PATCH v2 has two changes:
- removed EAPI condition, as lua-utils is EAPI=7 only.
- make test_directoy as a local variable and use eval in src_test to
  read it.

Signed-off-by: Conrad Kostecki 
---
 eclass/lua-utils.eclass |  69 ++
 lua-utils.eclass| 532 
 2 files changed, 601 insertions(+)
 create mode 100644 lua-utils.eclass

diff --git a/eclass/lua-utils.eclass b/eclass/lua-utils.eclass
index 100be14cb08..2200aa50391 100644
--- a/eclass/lua-utils.eclass
+++ b/eclass/lua-utils.eclass
@@ -344,6 +344,75 @@ _lua_export() {
done
 }
 
+# @FUNCTION: lua_enable_tests
+# @USAGE:  
+# @DESCRIPTION:
+# Set up IUSE, RESTRICT, BDEPEND and src_test() for running tests
+# with the specified test runner.  Also copies the current value
+# of RDEPEND to test?-BDEPEND.  The test-runner argument must be one of:
+#
+# - busted: dev-lua/busted
+#
+# Additionally, a second argument can be passed after ,
+# so  will use that directory to search for tests.
+# If not passed, a default directory of  will be used.
+#
+# - busted: spec
+#
+# This function is meant as a helper for common use cases, and it only
+# takes care of basic setup.  You still need to list additional test
+# dependencies manually.  If you have uncommon use case, you should
+# not use it and instead enable tests manually.
+#
+# This function must be called in global scope, after RDEPEND has been
+# declared.  Take care not to overwrite the variables set by it.
+lua_enable_tests() {
+   debug-print-function ${FUNCNAME} "${@}"
+
+   [[ ${#} -ge 1 ]] || die "${FUNCNAME} takes at least one argument: 
test-runner (test-directory)"
+   local test_pkg
+   case ${1} in
+   busted)
+   test_directory="${2:-spec}"
+   test_pkg="dev-lua/busted"
+   if [[ ! ${_LUA_SINGLE_R0} ]]; then
+   lua_src_test() {
+   busted --lua="${ELUA}" 
--output="plainTerminal" "${test_directory}" || die "Tests fail with ${ELUA}"
+   }
+   src_test() {
+   lua_foreach_impl lua_src_test
+   }
+   else
+   src_test() {
+   busted --lua="${ELUA}" 
--output="plainTerminal" "${test_directory}" || die "Tests fail with ${ELUA}"
+   }
+   fi
+   ;;
+   *)
+   die "${FUNCNAME}: unsupported argument: ${1}"
+   esac
+
+   local test_deps=${RDEPEND}
+   if [[ -n ${test_pkg} ]]; then
+   if [[ ! ${_LUA_SINGLE_R0} ]]; then
+   test_deps+=" ${test_pkg}[${LUA_USEDEP}]"
+   else
+   test_deps+=" $(lua_gen_cond_dep "
+   ${test_pkg}[\${LUA_USEDEP}]
+   ")"
+   fi
+   fi
+   if [[ -n ${test_deps} ]]; then
+   IUSE+=" test"
+   RESTRICT+=" !test? ( test )"
+   BDEPEND+=" test? ( ${test_deps} )"
+   fi
+
+   # we need to ensure successful return in case we're called last,
+   # otherwise Portage may wrongly assume sourcing failed
+   return 0
+}
+
 # @FUNCTION: lua_get_CFLAGS
 # @USAGE: []
 # @DESCRIPTION:
diff --git a/lua-utils.eclass b/lua-utils.eclass
new file mode 100644
index 000..0589318ef51
--- /dev/null
+++ b/lua-utils.eclass
@@ -0,0 +1,532 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# @ECLASS: lua-utils.eclass
+# @MAINTAINER:
+# William Hubbs 
+# Marek Szuba 
+# @AUTHOR:
+# Marek Szuba 
+# Based on python-utils-r1.eclass by Michał Górny  et al.
+# @SUPPORTED_EAPIS: 7
+# @BLURB: Utility funct

[gentoo-dev] [PATCH] eclass/lua-utils.eclass: Add support for test-runners

2021-01-04 Thread Conrad Kostecki
During migration of dev-lua/* ebuilds to slotted lua, I noticed, that
many ebuilds use 'dev-lua/busted' for running tests. This change adds
support for running a test-runner, at first only 'busted' for now.
Also a non-color and plaintext output will be used for the test-runner 'busted'.

This is basically a copy of the test-runner section, written by mgorny,
which already exists in 'distutils-r1', but modified and adapted to lua.

In order to use this feature, you can define 'lua_enable_tests busted'
to setup everything needed for tests and run them. By default,
'dev-lua/busted' assumes, that tests are in the 'spec' folder.

If this is not the case, you can add a second argument to specify a
different folder. For example, if the folder is called 'foo', you can
just run 'lua_enable_tests busted foo'.

More test-runners can be added in future, if needed.

Signed-off-by: Conrad Kostecki 
---
 eclass/lua-utils.eclass | 73 +
 1 file changed, 73 insertions(+)

diff --git a/eclass/lua-utils.eclass b/eclass/lua-utils.eclass
index 100be14cb08..b24c4a461f2 100644
--- a/eclass/lua-utils.eclass
+++ b/eclass/lua-utils.eclass
@@ -344,6 +344,79 @@ _lua_export() {
done
 }
 
+# @FUNCTION: lua_enable_tests
+# @USAGE:  
+# @DESCRIPTION:
+# Set up IUSE, RESTRICT, BDEPEND and src_test() for running tests
+# with the specified test runner.  Also copies the current value
+# of RDEPEND to test?-BDEPEND.  The test-runner argument must be one of:
+#
+# - busted: dev-lua/busted
+#
+# Additionally, a second argument can be passed after ,
+# so  will use that directory to search for tests.
+# If not passed, a default directory of  will be used.
+#
+# - busted: spec
+#
+# This function is meant as a helper for common use cases, and it only
+# takes care of basic setup.  You still need to list additional test
+# dependencies manually.  If you have uncommon use case, you should
+# not use it and instead enable tests manually.
+#
+# This function must be called in global scope, after RDEPEND has been
+# declared.  Take care not to overwrite the variables set by it.
+lua_enable_tests() {
+   debug-print-function ${FUNCNAME} "${@}"
+
+   [[ ${#} -ge 1 ]] || die "${FUNCNAME} takes at least one argument: 
test-runner (test-directory)"
+   local test_pkg
+   case ${1} in
+   busted)
+   test_directory="${2:-spec}"
+   test_pkg="dev-lua/busted"
+   if [[ ! ${_LUA_SINGLE_R0} ]]; then
+   lua_src_test() {
+   busted --lua="${ELUA}" 
--output="plainTerminal" "${test_directory}" || die "Tests fail with ${ELUA}"
+   }
+   src_test() {
+   lua_foreach_impl lua_src_test
+   }
+   else
+   src_test() {
+   busted --lua="${ELUA}" 
--output="plainTerminal" "${test_directory}" || die "Tests fail with ${ELUA}"
+   }
+   fi
+   ;;
+   *)
+   die "${FUNCNAME}: unsupported argument: ${1}"
+   esac
+
+   local test_deps=${RDEPEND}
+   if [[ -n ${test_pkg} ]]; then
+   if [[ ! ${_LUA_SINGLE_R0} ]]; then
+   test_deps+=" ${test_pkg}[${LUA_USEDEP}]"
+   else
+   test_deps+=" $(lua_gen_cond_dep "
+   ${test_pkg}[\${LUA_USEDEP}]
+   ")"
+   fi
+   fi
+   if [[ -n ${test_deps} ]]; then
+   IUSE+=" test"
+   RESTRICT+=" !test? ( test )"
+   if [[ ${EAPI} == [56] ]]; then
+   DEPEND+=" test? ( ${test_deps} )"
+   else
+   BDEPEND+=" test? ( ${test_deps} )"
+   fi
+   fi
+
+   # we need to ensure successful return in case we're called last,
+   # otherwise Portage may wrongly assume sourcing failed
+   return 0
+}
+
 # @FUNCTION: lua_get_CFLAGS
 # @USAGE: []
 # @DESCRIPTION:
-- 
2.29.2




[gentoo-dev] Last rites: net-vpn/networkmanager-wireguard

2021-01-01 Thread Conrad Kostecki

# Conrad Kostecki  (2021-01-01)
# NetworkManager has buildin support for WireGuard,
# this plugin is old and unmaintained, so let's drop it.
# Removal in 30 days.
net-vpn/networkmanager-wireguard




Re: [gentoo-dev] Packages up for grabs: app-benchmarks/sysbench

2020-11-21 Thread Conrad Kostecki

Hi,

Am 21.11.2020 um 18:37 schrieb Tomas Mozes:
app-benchmarks/sysbench (https://github.com/gentoo/gentoo/pull/18350 
)


I will take this one.

Conrad




Re: [gentoo-dev] Packages & projects up for grabs due to jer's retirement

2020-11-03 Thread Conrad Kostecki

Am 03.11.2020 um 22:32 schrieb Michał Górny:

app-benchmarks/nbench


I will take that one.


net-ftp/lftp
net-misc/putty
x11-terms/rxvt-unicode


Anyone want's to maintain?

I could imagine to help as co-maintainer.

Conrad




[gentoo-dev] Package up for grabs: net-analyzer/chaosreader

2020-09-21 Thread Conrad Kostecki

Hello,

since the proxy maintainer stopped using it and can't test anymore,
the following package is looking for a new maintainer:

net-analyzer/chaosreader

It's currently the newest version and has one bug [1] open.

[1] https://bugs.gentoo.org/722568

Cheers
Conrad




[gentoo-dev] Package up for grabs: sys-apps/biosdisk

2020-06-26 Thread Conrad Kostecki

Hello,

since the proxy maintainer stopped using it and can't test anymore,
the following package is looking for a new maintainer:

sys-apps/biosdisk

It's currently the newest version and doesn't have any open bugs.
Maintenance is fairly low.

Cheers
Conrad




[gentoo-dev] Adding hw-probe in Gentoo

2020-03-27 Thread Conrad Kostecki

Hi all,

a longer time ago, there were some concerns about privacy reasons 
discussed here. It took a long time, but there is now a new version 
released with lot's of changes. Since all results are still by default 
uploaded, It should be noted, that hw-probeuploads a 32-byte prefix of 
salted SHA512 hash of MAC addresses and serial numbers to properly 
identify unique computers and hard drives. Here is one example report of 
one of my devices https://linux-hardware.org/?probe=6bc7d86b9c. FWICS, 
sensetive informtion seems not to be present. I would like to gather 
some opinion about here, if there are any objections about adding 
hw-probe to Gentoo.


Cheers, Conrad



[gentoo-dev] Last-rites: dev-python/e4u

2020-02-04 Thread Conrad Kostecki

# Conrad Kostecki  (2020-02-04)
# Python2 only, no reverse dependencies left, since they got removed.
# Masked for removal in 30 days.
dev-python/e4u



Re[2]: [gentoo-dev] RFC acct-{user,group} for net-dns/avahi, net-vpn/tor, net-misc/stunnel

2019-11-27 Thread Conrad Kostecki

Hi!

Am 27.11.2019 19:02:06, "Anthony G. Basile"  
schrieb:



netdev gid = 479

Already requested by me for OpenRCT2 :-)

Conrad




Re: [gentoo-dev] Last rites: app-misc/rioutil

2019-11-18 Thread Conrad Kostecki

Am 17.11.2019 16:22:12, "Aaron Bauman"  schrieb:


Can you even fit a modern MP3 on to one of these devices? Looking at the 
hardware it is like 64MB devices. That's like 5 files.


That depends on the model. It's true, that some models have only 32-64MB 
as default storage,

but most of them were able to be expanded by additional memory cards.

But yes, if looking into todays standard, this is pretty tiny :-)




Re: [gentoo-dev] Last rites: app-misc/rioutil

2019-11-17 Thread Conrad Kostecki

Hi Aaron,

Am 17.11.2019 02:10:46, "Aaron Bauman"  schrieb:


# Aaron Bauman  (2019-11-16)
# EAPI=4. If anyone has this hardware then speak up.
# Removal in 15 days
app-misc/rioutil


I have such hardware, so I will test and bump to EAPI=7.
I can also see, that upstream went to Github and there is a newer 
release 1.5.4.


Cheers
Conrad

[gentoo-dev] RFC acct-{group,user}/openrct2 GID/UID 479

2019-11-10 Thread Conrad Kostecki
I am currently reworking the games-simulation/openrct2 ebuild and want 
to add headless server support.
Since the server should not be run as root, I would like to introduce a 
new user openrct2.


Arch, Fedora and RHEL don't have such a user, so I would like to take 
the next free GID/UID.

This is according to the list currently 479.

Conrad




Re: [gentoo-dev] Last rites: EAPI 0 packages with no maintainer and no revdeps

2019-10-04 Thread Conrad Kostecki

Hi Michał,

Am 04.10.2019 22:43:49, "Michał Górny"  schrieb:


dev-util/smem

added a PR for that and taking by myself.

Conrad

Re: [gentoo-dev] [RFC] Mass last-riting of x86-but-not-amd64 packages

2019-09-08 Thread Conrad Kostecki

Hi Michał,

Am 08.09.2019 11:23:06, "Michał Górny"  schrieb:


sys-apps/lcdutils


this package is for an old Sun Cobalt Qube, which was only mips and x86.
I could bump to newer EAPI, since I have such hardware and could test.

But I only have a x86 qube, I don't own the older mips variant.

Conrad

[gentoo-dev] RFC: UID/GID assignment for bedrock (485)

2019-08-06 Thread Conrad Kostecki
I would like to reserve UID/GID 485 for bedrock 
(games-server/bedrock-server).


Neither Arch Linux nor Fedora nor RedHat claim that UID/GID.

Re[2]: [gentoo-dev] [PATCH 2/2] acct-user/minecraft: New user for games-server/minecraft-server

2019-08-04 Thread Conrad Kostecki

Am 04.08.2019 20:54:07, "Michael Orlitzky"  schrieb:


On 8/4/19 2:07 PM, Conrad Kostecki wrote:
You don't have to set ACCT_USER_HOME_OWNER here. That ownership is the
common case, so the eclass will do the right thing for you and set it by
default. From acct-user.eclass:

  if [[ ${ACCT_USER_HOME} != /dev/null ]]; then
# default ownership to user:group
if [[ -z ${ACCT_USER_HOME_OWNER} ]]; then
ACCT_USER_HOME_OWNER=${ACCT_USER_NAME}:${ACCT_USER_GROUPS[0]}
fi
fowners "${ACCT_USER_HOME_OWNER}" "${ACCT_USER_HOME}"
fperms "${ACCT_USER_HOME_PERMS}" "${ACCT_USER_HOME}"
  fi


Thanks! Updated.







[gentoo-dev] [PATCH v2 1/2] acct-group/unifi: New group for net-wireless/unifi

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/unifi/metadata.xml   | 16 
 acct-group/unifi/unifi-0.ebuild | 10 ++
 2 files changed, 26 insertions(+)
 create mode 100644 acct-group/unifi/metadata.xml
 create mode 100644 acct-group/unifi/unifi-0.ebuild

diff --git a/acct-group/unifi/metadata.xml b/acct-group/unifi/metadata.xml
new file mode 100644
index 000..9d243bd924c
--- /dev/null
+++ b/acct-group/unifi/metadata.xml
@@ -0,0 +1,16 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   bkoh...@gentoo.org
+   Ben Kohler
+   
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/unifi/unifi-0.ebuild b/acct-group/unifi/unifi-0.ebuild
new file mode 100644
index 000..c95cd4f4b1b
--- /dev/null
+++ b/acct-group/unifi/unifi-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the UniFi controller"
+
+ACCT_GROUP_ID="113"
-- 
2.22.0




[gentoo-dev] [PATCH v2 2/2] acct-user/unifi: New user for net-wireless/unifi

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/unifi/metadata.xml   | 16 
 acct-user/unifi/unifi-0.ebuild | 14 ++
 2 files changed, 30 insertions(+)
 create mode 100644 acct-user/unifi/metadata.xml
 create mode 100644 acct-user/unifi/unifi-0.ebuild

diff --git a/acct-user/unifi/metadata.xml b/acct-user/unifi/metadata.xml
new file mode 100644
index 000..9d243bd924c
--- /dev/null
+++ b/acct-user/unifi/metadata.xml
@@ -0,0 +1,16 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   bkoh...@gentoo.org
+   Ben Kohler
+   
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-user/unifi/unifi-0.ebuild b/acct-user/unifi/unifi-0.ebuild
new file mode 100644
index 000..a21167b15ea
--- /dev/null
+++ b/acct-user/unifi/unifi-0.ebuild
@@ -0,0 +1,14 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the UniFi Controller"
+
+ACCT_USER_GROUPS=( "unifi" )
+ACCT_USER_HOME="/var/lib/unifi"
+ACCT_USER_ID="113"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH v2 2/2] acct-user/teamspeak: New user for teamspeak-server/teamspeak-server

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/teamspeak/metadata.xml   | 12 
 acct-user/teamspeak/teamspeak-0.ebuild | 14 ++
 2 files changed, 26 insertions(+)
 create mode 100644 acct-user/teamspeak/metadata.xml
 create mode 100644 acct-user/teamspeak/teamspeak-0.ebuild

diff --git a/acct-user/teamspeak/metadata.xml b/acct-user/teamspeak/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/teamspeak/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-user/teamspeak/teamspeak-0.ebuild 
b/acct-user/teamspeak/teamspeak-0.ebuild
new file mode 100644
index 000..d5fa883f6c0
--- /dev/null
+++ b/acct-user/teamspeak/teamspeak-0.ebuild
@@ -0,0 +1,14 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the TeamSpeak server"
+
+ACCT_USER_GROUPS=( "teamspeak" )
+ACCT_USER_HOME="/opt/teamspeak3-server"
+ACCT_USER_ID="488"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH v2 1/2] acct-group/teamspeak: New group for media-sound/teamspeak-server

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/teamspeak/metadata.xml   | 12 
 acct-group/teamspeak/teamspeak-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/teamspeak/metadata.xml
 create mode 100644 acct-group/teamspeak/teamspeak-0.ebuild

diff --git a/acct-group/teamspeak/metadata.xml 
b/acct-group/teamspeak/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/teamspeak/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/teamspeak/teamspeak-0.ebuild 
b/acct-group/teamspeak/teamspeak-0.ebuild
new file mode 100644
index 000..fec76a40b4b
--- /dev/null
+++ b/acct-group/teamspeak/teamspeak-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the TeamSpeak server"
+
+ACCT_GROUP_ID="488"
-- 
2.22.0




[gentoo-dev] [PATCH v2 1/2] acct-group/steamcmd: New group for games-server/steamcmd

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/steamcmd/metadata.xml  | 12 
 acct-group/steamcmd/steamcmd-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/steamcmd/metadata.xml
 create mode 100644 acct-group/steamcmd/steamcmd-0.ebuild

diff --git a/acct-group/steamcmd/metadata.xml b/acct-group/steamcmd/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/steamcmd/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/steamcmd/steamcmd-0.ebuild 
b/acct-group/steamcmd/steamcmd-0.ebuild
new file mode 100644
index 000..a38c0e77195
--- /dev/null
+++ b/acct-group/steamcmd/steamcmd-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the SteamCMD server"
+
+ACCT_GROUP_ID="489"
-- 
2.22.0




[gentoo-dev] [PATCH v2 2/2] acct-user/steamcmd: New user for games-server/steamcmd

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/steamcmd/metadata.xml  | 12 
 acct-user/steamcmd/steamcmd-0.ebuild | 14 ++
 2 files changed, 26 insertions(+)
 create mode 100644 acct-user/steamcmd/metadata.xml
 create mode 100644 acct-user/steamcmd/steamcmd-0.ebuild

diff --git a/acct-user/steamcmd/metadata.xml b/acct-user/steamcmd/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/steamcmd/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-user/steamcmd/steamcmd-0.ebuild 
b/acct-user/steamcmd/steamcmd-0.ebuild
new file mode 100644
index 000..bd63596a3b7
--- /dev/null
+++ b/acct-user/steamcmd/steamcmd-0.ebuild
@@ -0,0 +1,14 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the SteamCMD server"
+
+ACCT_USER_GROUPS=( "steamcmd" )
+ACCT_USER_HOME="/opt/steamcmd"
+ACCT_USER_ID="489"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH v2 2/2] acct-user/spectrum: New user for net-im/spectrum2

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/spectrum/metadata.xml  | 12 
 acct-user/spectrum/spectrum-0.ebuild | 14 ++
 2 files changed, 26 insertions(+)
 create mode 100644 acct-user/spectrum/metadata.xml
 create mode 100644 acct-user/spectrum/spectrum-0.ebuild

diff --git a/acct-user/spectrum/metadata.xml b/acct-user/spectrum/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/spectrum/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-user/spectrum/spectrum-0.ebuild 
b/acct-user/spectrum/spectrum-0.ebuild
new file mode 100644
index 000..47560fb7af7
--- /dev/null
+++ b/acct-user/spectrum/spectrum-0.ebuild
@@ -0,0 +1,14 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the Spectrum messaging transport"
+
+ACCT_USER_GROUPS=( "spectrum" )
+ACCT_USER_HOME="/var/lib/spectrum2"
+ACCT_USER_ID="486"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH v2 1/2] acct-group/spectrum: New group for net-im/spectrum2

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/spectrum/metadata.xml  | 12 
 acct-group/spectrum/spectrum-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/spectrum/metadata.xml
 create mode 100644 acct-group/spectrum/spectrum-0.ebuild

diff --git a/acct-group/spectrum/metadata.xml b/acct-group/spectrum/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/spectrum/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/spectrum/spectrum-0.ebuild 
b/acct-group/spectrum/spectrum-0.ebuild
new file mode 100644
index 000..fdd5fc0e0ec
--- /dev/null
+++ b/acct-group/spectrum/spectrum-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the Spectrum messaging transport"
+
+ACCT_GROUP_ID="486"
-- 
2.22.0




[gentoo-dev] [PATCH v2 1/2] acct-group/minecraft: New group for games-server/minecraft-server

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/minecraft/metadata.xml   | 12 
 acct-group/minecraft/minecraft-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/minecraft/metadata.xml
 create mode 100644 acct-group/minecraft/minecraft-0.ebuild

diff --git a/acct-group/minecraft/metadata.xml 
b/acct-group/minecraft/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/minecraft/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/minecraft/minecraft-0.ebuild 
b/acct-group/minecraft/minecraft-0.ebuild
new file mode 100644
index 000..4b075b5967f
--- /dev/null
+++ b/acct-group/minecraft/minecraft-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the Minecraft server"
+
+ACCT_GROUP_ID="490"
-- 
2.22.0




[gentoo-dev] [PATCH v2 2/2] acct-user/minecraft: New user for games-server/minecraft-server

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/minecraft/metadata.xml   | 12 
 acct-user/minecraft/minecraft-0.ebuild | 14 ++
 2 files changed, 26 insertions(+)
 create mode 100644 acct-user/minecraft/metadata.xml
 create mode 100644 acct-user/minecraft/minecraft-0.ebuild

diff --git a/acct-user/minecraft/metadata.xml b/acct-user/minecraft/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/minecraft/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-user/minecraft/minecraft-0.ebuild 
b/acct-user/minecraft/minecraft-0.ebuild
new file mode 100644
index 000..8762fb77e5a
--- /dev/null
+++ b/acct-user/minecraft/minecraft-0.ebuild
@@ -0,0 +1,14 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the Minecraft server"
+
+ACCT_USER_GROUPS=( "minecraft" )
+ACCT_USER_HOME="/var/lib/minecraft-server"
+ACCT_USER_ID="490"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH v3 2/2] acct-user/fhem: New user for app-misc/fhem

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/fhem/fhem-0.ebuild | 14 ++
 acct-user/fhem/metadata.xml  | 12 
 2 files changed, 26 insertions(+)
 create mode 100644 acct-user/fhem/fhem-0.ebuild
 create mode 100644 acct-user/fhem/metadata.xml

diff --git a/acct-user/fhem/fhem-0.ebuild b/acct-user/fhem/fhem-0.ebuild
new file mode 100644
index 000..a705ec7f97f
--- /dev/null
+++ b/acct-user/fhem/fhem-0.ebuild
@@ -0,0 +1,14 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the FHEM perl server for house automation"
+
+ACCT_USER_GROUPS=( "fhem" )
+ACCT_USER_HOME="/opt/fhem"
+ACCT_USER_ID="491"
+
+acct-user_add_deps
diff --git a/acct-user/fhem/metadata.xml b/acct-user/fhem/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/fhem/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
-- 
2.22.0




[gentoo-dev] [PATCH v3 1/2] acct-group/fhem: New group for app-misc/fhem

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/fhem/fhem-0.ebuild | 10 ++
 acct-group/fhem/metadata.xml  | 12 
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/fhem/fhem-0.ebuild
 create mode 100644 acct-group/fhem/metadata.xml

diff --git a/acct-group/fhem/fhem-0.ebuild b/acct-group/fhem/fhem-0.ebuild
new file mode 100644
index 000..ada06e5d9d5
--- /dev/null
+++ b/acct-group/fhem/fhem-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the FHEM perl server for house automation"
+
+ACCT_GROUP_ID="491"
diff --git a/acct-group/fhem/metadata.xml b/acct-group/fhem/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/fhem/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
-- 
2.22.0




[gentoo-dev] [PATCH 2/2] acct-user/unifi: New user for net-wireless/unifi

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/unifi/metadata.xml   | 22 ++
 acct-user/unifi/unifi-0.ebuild | 15 +++
 2 files changed, 37 insertions(+)
 create mode 100644 acct-user/unifi/metadata.xml
 create mode 100644 acct-user/unifi/unifi-0.ebuild

diff --git a/acct-user/unifi/metadata.xml b/acct-user/unifi/metadata.xml
new file mode 100644
index 000..57ba2066974
--- /dev/null
+++ b/acct-user/unifi/metadata.xml
@@ -0,0 +1,22 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   bkoh...@gentoo.org
+   Ben Kohler
+   
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+   
+   UniFi is a management controller software for Ubiquiti UniFi 
APs.
+   It's purpose is to configure and monitor all those APs.
+   Also all kind of statistics are collected, which can be 
accessed through UniFi.
+   There is also an internal RADIUS server, which can be used for 
WPA2-Enterprise.
+   
+
diff --git a/acct-user/unifi/unifi-0.ebuild b/acct-user/unifi/unifi-0.ebuild
new file mode 100644
index 000..0f750e70188
--- /dev/null
+++ b/acct-user/unifi/unifi-0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the UniFi Controller"
+
+ACCT_USER_GROUPS=( "unifi" )
+ACCT_USER_HOME="/var/lib/unifi"
+ACCT_USER_HOME_OWNER="unifi:unifi"
+ACCT_USER_ID="113"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH 1/2] acct-group/unifi: New group for net-wireless/unifi

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/unifi/metadata.xml   | 22 ++
 acct-group/unifi/unifi-0.ebuild | 10 ++
 2 files changed, 32 insertions(+)
 create mode 100644 acct-group/unifi/metadata.xml
 create mode 100644 acct-group/unifi/unifi-0.ebuild

diff --git a/acct-group/unifi/metadata.xml b/acct-group/unifi/metadata.xml
new file mode 100644
index 000..57ba2066974
--- /dev/null
+++ b/acct-group/unifi/metadata.xml
@@ -0,0 +1,22 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   bkoh...@gentoo.org
+   Ben Kohler
+   
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+   
+   UniFi is a management controller software for Ubiquiti UniFi 
APs.
+   It's purpose is to configure and monitor all those APs.
+   Also all kind of statistics are collected, which can be 
accessed through UniFi.
+   There is also an internal RADIUS server, which can be used for 
WPA2-Enterprise.
+   
+
diff --git a/acct-group/unifi/unifi-0.ebuild b/acct-group/unifi/unifi-0.ebuild
new file mode 100644
index 000..c95cd4f4b1b
--- /dev/null
+++ b/acct-group/unifi/unifi-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the UniFi controller"
+
+ACCT_GROUP_ID="113"
-- 
2.22.0




[gentoo-dev] [PATCH 2/2] acct-user/spectrum: New user for net-im/spectrum2

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/spectrum/metadata.xml  | 12 
 acct-user/spectrum/spectrum-0.ebuild | 15 +++
 2 files changed, 27 insertions(+)
 create mode 100644 acct-user/spectrum/metadata.xml
 create mode 100644 acct-user/spectrum/spectrum-0.ebuild

diff --git a/acct-user/spectrum/metadata.xml b/acct-user/spectrum/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/spectrum/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-user/spectrum/spectrum-0.ebuild 
b/acct-user/spectrum/spectrum-0.ebuild
new file mode 100644
index 000..1153624c369
--- /dev/null
+++ b/acct-user/spectrum/spectrum-0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the Spectrum messaging transport"
+
+ACCT_USER_GROUPS=( "spectrum" )
+ACCT_USER_HOME="/var/lib/spectrum2"
+ACCT_USER_HOME_OWNER="spectrum:spectrum"
+ACCT_USER_ID="486"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH 1/2] acct-group/spectrum: New group for net-im/spectrum2

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/spectrum/metadata.xml  | 12 
 acct-group/spectrum/spectrum-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/spectrum/metadata.xml
 create mode 100644 acct-group/spectrum/spectrum-0.ebuild

diff --git a/acct-group/spectrum/metadata.xml b/acct-group/spectrum/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/spectrum/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/spectrum/spectrum-0.ebuild 
b/acct-group/spectrum/spectrum-0.ebuild
new file mode 100644
index 000..fdd5fc0e0ec
--- /dev/null
+++ b/acct-group/spectrum/spectrum-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the Spectrum messaging transport"
+
+ACCT_GROUP_ID="486"
-- 
2.22.0




[gentoo-dev] [PATCH 2/2] acct-user/ddclient: New user for net-dns/ddclient

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/ddclient/ddclient-0.ebuild | 13 +
 acct-user/ddclient/metadata.xml  | 12 
 2 files changed, 25 insertions(+)
 create mode 100644 acct-user/ddclient/ddclient-0.ebuild
 create mode 100644 acct-user/ddclient/metadata.xml

diff --git a/acct-user/ddclient/ddclient-0.ebuild 
b/acct-user/ddclient/ddclient-0.ebuild
new file mode 100644
index 000..ecc4a3260c0
--- /dev/null
+++ b/acct-user/ddclient/ddclient-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the dynamic DNS client"
+
+ACCT_USER_GROUPS=( "ddclient" )
+ACCT_USER_ID="487"
+
+acct-user_add_deps
diff --git a/acct-user/ddclient/metadata.xml b/acct-user/ddclient/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/ddclient/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
-- 
2.22.0




[gentoo-dev] [PATCH 1/2] acct-group/ddclient: New group for net-dns/ddclient

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/ddclient/ddclient-0.ebuild | 10 ++
 acct-group/ddclient/metadata.xml  | 12 
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/ddclient/ddclient-0.ebuild
 create mode 100644 acct-group/ddclient/metadata.xml

diff --git a/acct-group/ddclient/ddclient-0.ebuild 
b/acct-group/ddclient/ddclient-0.ebuild
new file mode 100644
index 000..346a067ebc3
--- /dev/null
+++ b/acct-group/ddclient/ddclient-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the dynamic DNS client"
+
+ACCT_GROUP_ID="487"
diff --git a/acct-group/ddclient/metadata.xml b/acct-group/ddclient/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/ddclient/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
-- 
2.22.0




[gentoo-dev] [PATCH 1/2] acct-group/steamcmd: New group for games-server/steamcmd

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/steamcmd/metadata.xml  | 12 
 acct-group/steamcmd/steamcmd-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/steamcmd/metadata.xml
 create mode 100644 acct-group/steamcmd/steamcmd-0.ebuild

diff --git a/acct-group/steamcmd/metadata.xml b/acct-group/steamcmd/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/steamcmd/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/steamcmd/steamcmd-0.ebuild 
b/acct-group/steamcmd/steamcmd-0.ebuild
new file mode 100644
index 000..a38c0e77195
--- /dev/null
+++ b/acct-group/steamcmd/steamcmd-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the SteamCMD server"
+
+ACCT_GROUP_ID="489"
-- 
2.22.0




[gentoo-dev] [PATCH 1/2] acct-group/teamspeak: New group for media-sound/teamspeak-server

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/teamspeak/metadata.xml   | 12 
 acct-group/teamspeak/teamspeak-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/teamspeak/metadata.xml
 create mode 100644 acct-group/teamspeak/teamspeak-0.ebuild

diff --git a/acct-group/teamspeak/metadata.xml 
b/acct-group/teamspeak/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/teamspeak/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/teamspeak/teamspeak-0.ebuild 
b/acct-group/teamspeak/teamspeak-0.ebuild
new file mode 100644
index 000..fec76a40b4b
--- /dev/null
+++ b/acct-group/teamspeak/teamspeak-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the TeamSpeak server"
+
+ACCT_GROUP_ID="488"
-- 
2.22.0




[gentoo-dev] [PATCH 2/2] acct-user/teamspeak: New user for teamspeak-server/teamspeak-server

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/teamspeak/metadata.xml   | 12 
 acct-user/teamspeak/teamspeak-0.ebuild | 15 +++
 2 files changed, 27 insertions(+)
 create mode 100644 acct-user/teamspeak/metadata.xml
 create mode 100644 acct-user/teamspeak/teamspeak-0.ebuild

diff --git a/acct-user/teamspeak/metadata.xml b/acct-user/teamspeak/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/teamspeak/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-user/teamspeak/teamspeak-0.ebuild 
b/acct-user/teamspeak/teamspeak-0.ebuild
new file mode 100644
index 000..d9d650efcfb
--- /dev/null
+++ b/acct-user/teamspeak/teamspeak-0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the TeamSpeak server"
+
+ACCT_USER_GROUPS=( "teamspeak" )
+ACCT_USER_HOME="/opt/teamspeak3-server"
+ACCT_USER_HOME_OWNER="teamspeak:teamspeak"
+ACCT_USER_ID="488"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH 1/2] acct-group/steamcmd: New group for games-server/steamcmd

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/steamcmd/metadata.xml  | 12 
 acct-group/steamcmd/steamcmd-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/steamcmd/metadata.xml
 create mode 100644 acct-group/steamcmd/steamcmd-0.ebuild

diff --git a/acct-group/steamcmd/metadata.xml b/acct-group/steamcmd/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/steamcmd/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/steamcmd/steamcmd-0.ebuild 
b/acct-group/steamcmd/steamcmd-0.ebuild
new file mode 100644
index 000..a38c0e77195
--- /dev/null
+++ b/acct-group/steamcmd/steamcmd-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the SteamCMD server"
+
+ACCT_GROUP_ID="489"
-- 
2.22.0




[gentoo-dev] [PATCH 1/2] acct-group/minecraft: New group for games-server/minecraft-server

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/minecraft/metadata.xml   | 12 
 acct-group/minecraft/minecraft-0.ebuild | 10 ++
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/minecraft/metadata.xml
 create mode 100644 acct-group/minecraft/minecraft-0.ebuild

diff --git a/acct-group/minecraft/metadata.xml 
b/acct-group/minecraft/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/minecraft/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-group/minecraft/minecraft-0.ebuild 
b/acct-group/minecraft/minecraft-0.ebuild
new file mode 100644
index 000..4b075b5967f
--- /dev/null
+++ b/acct-group/minecraft/minecraft-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the Minecraft server"
+
+ACCT_GROUP_ID="490"
-- 
2.22.0




[gentoo-dev] [PATCH 2/2] acct-user/minecraft: New user for games-server/minecraft-server

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/minecraft/metadata.xml   | 12 
 acct-user/minecraft/minecraft-0.ebuild | 15 +++
 2 files changed, 27 insertions(+)
 create mode 100644 acct-user/minecraft/metadata.xml
 create mode 100644 acct-user/minecraft/minecraft-0.ebuild

diff --git a/acct-user/minecraft/metadata.xml b/acct-user/minecraft/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/minecraft/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
diff --git a/acct-user/minecraft/minecraft-0.ebuild 
b/acct-user/minecraft/minecraft-0.ebuild
new file mode 100644
index 000..0f8f6295f52
--- /dev/null
+++ b/acct-user/minecraft/minecraft-0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the Minecraft server"
+
+ACCT_USER_GROUPS=( "minecraft" )
+ACCT_USER_HOME="/var/lib/minecraft-server"
+ACCT_USER_HOME_OWNER="minecraft:minecraft"
+ACCT_USER_ID="490"
+
+acct-user_add_deps
-- 
2.22.0




[gentoo-dev] [PATCH v2 1/2] acct-group/fhem: New group for app-misc/fhem

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/fhem/fhem-0.ebuild | 10 ++
 acct-group/fhem/metadata.xml  | 12 
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/fhem/fhem-0.ebuild
 create mode 100644 acct-group/fhem/metadata.xml

diff --git a/acct-group/fhem/fhem-0.ebuild b/acct-group/fhem/fhem-0.ebuild
new file mode 100644
index 000..ada06e5d9d5
--- /dev/null
+++ b/acct-group/fhem/fhem-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the FHEM perl server for house automation"
+
+ACCT_GROUP_ID="491"
diff --git a/acct-group/fhem/metadata.xml b/acct-group/fhem/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/fhem/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
-- 
2.22.0




[gentoo-dev] [PATCH v2 2/2] acct-user/fhem: New user for app-misc/fhem

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/fhem/fhem-0.ebuild | 15 +++
 acct-user/fhem/metadata.xml  | 12 
 2 files changed, 27 insertions(+)
 create mode 100644 acct-user/fhem/fhem-0.ebuild
 create mode 100644 acct-user/fhem/metadata.xml

diff --git a/acct-user/fhem/fhem-0.ebuild b/acct-user/fhem/fhem-0.ebuild
new file mode 100644
index 000..fe6968feab9
--- /dev/null
+++ b/acct-user/fhem/fhem-0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="A user for the FHEM perl server for house automation"
+
+ACCT_USER_GROUPS=( "fhem" )
+ACCT_USER_HOME="/opt/fhem"
+ACCT_USER_HOME_OWNER="fhem:fhem"
+ACCT_USER_ID="491"
+
+acct-user_add_deps
diff --git a/acct-user/fhem/metadata.xml b/acct-user/fhem/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/fhem/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
-- 
2.22.0




Re[2]: [gentoo-dev] [PATCH 2/2] acct-user/fhem: New user for app-misc/fhem

2019-08-04 Thread Conrad Kostecki

Am 04.08.2019 19:01:19, "Ulrich Mueller"  schrieb:


 On Sun, 04 Aug 2019, Conrad Kostecki wrote:



 +DESCRIPTION="An user for the FHEM perl server for house automation"


s/An user/A user/

Will fix it, thanks.





 +ACCT_USER_ID="489"


Any particular rationale for this ID? AFAICS, the next available one
would be 491 (if we reserve 492 and 493 for oprofile and oidentd, in
order to agree with Arch Linux).

No reason. I can start with 491 too. Will submit again.




[gentoo-dev] [PATCH 2/2] acct-user/fhem: New user for app-misc/fhem

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-user/fhem/fhem-0.ebuild | 16 
 acct-user/fhem/metadata.xml  | 12 
 2 files changed, 28 insertions(+)
 create mode 100644 acct-user/fhem/fhem-0.ebuild
 create mode 100644 acct-user/fhem/metadata.xml

diff --git a/acct-user/fhem/fhem-0.ebuild b/acct-user/fhem/fhem-0.ebuild
new file mode 100644
index 000..3aa516d84a7
--- /dev/null
+++ b/acct-user/fhem/fhem-0.ebuild
@@ -0,0 +1,16 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-user
+
+DESCRIPTION="An user for the FHEM perl server for house automation"
+
+ACCT_USER_GROUPS=( "fhem" )
+ACCT_USER_HOME="/opt/fhem"
+ACCT_USER_HOME_OWNER="fhem:fhem"
+ACCT_USER_HOME_PERMS="0770"
+ACCT_USER_ID="489"
+
+acct-user_add_deps
diff --git a/acct-user/fhem/metadata.xml b/acct-user/fhem/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-user/fhem/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
-- 
2.22.0




[gentoo-dev] [PATCH 1/2] acct-group/fhem: New group for app-misc/fhem

2019-08-04 Thread Conrad Kostecki
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Conrad Kostecki 
---
 acct-group/fhem/fhem-0.ebuild | 10 ++
 acct-group/fhem/metadata.xml  | 12 
 2 files changed, 22 insertions(+)
 create mode 100644 acct-group/fhem/fhem-0.ebuild
 create mode 100644 acct-group/fhem/metadata.xml

diff --git a/acct-group/fhem/fhem-0.ebuild b/acct-group/fhem/fhem-0.ebuild
new file mode 100644
index 000..66c295c7aba
--- /dev/null
+++ b/acct-group/fhem/fhem-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit acct-group
+
+DESCRIPTION="A group for the FHEM perl server for house automation"
+
+ACCT_GROUP_ID="489"
diff --git a/acct-group/fhem/metadata.xml b/acct-group/fhem/metadata.xml
new file mode 100644
index 000..54d5423c406
--- /dev/null
+++ b/acct-group/fhem/metadata.xml
@@ -0,0 +1,12 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   ck+gen...@bl4ckb0x.de
+   Conrad Kostecki
+   
+   
+   proxy-ma...@gentoo.org
+   Proxy Maintainers
+   
+
-- 
2.22.0




Re: [gentoo-dev] net-misc/r8168 up for grabs

2019-05-14 Thread Conrad Kostecki
Hi Chewi,

> James Le Cuirot  hat am 9. Mai 2019 um 21:47 geschrieben:
> I sent out this request a couple of years ago but didn't get a reply.
> Hoping I can find someone this time before I mark it maintainer-needed.

if you still need help, I can help with maintaining.

Cheers
Conrad



Re: [gentoo-dev] Last rites: sys-boot/raspberrypi-firmware

2019-03-18 Thread Conrad Kostecki
Hey Andrey,

> Andrey Utkin  hat am 18. März 2019 um 00:06 
> geschrieben:
> I am also interested in using this and keeping it in Gentoo, so let's
> team up!

thank you very much for your help. I've added you to the PR on Github.

Conrad



Re[2]: [gentoo-dev] Last rites: sys-boot/raspberrypi-firmware

2019-03-15 Thread Conrad Kostecki

Hi!

Am 15.03.2019 20:29:11, "Matt Turner"  schrieb:


On Fri, Mar 15, 2019 at 7:04 AM Conrad Kostecki  wrote:



Do you know something about media-libs/raspberrypi-userland as well?
I'm hoping to enable libglvnd support in media-libs/mesa and
x11-drivers/nvidia-drivers soon, and this is the only other package in
Gentoo that uses app-eselect/eselect-opengl.

Do we care to keep this now that Mesa's vc4 driver is in good shape?

At least, I've somewhere my modified  release, which I've fixed for 
myself, since there were some bugs and added eselect-opengl support to 
this. What do you mean exactly with libglvnd or at what do you want to 
know?


Conrad

Re: [gentoo-dev] Last rites: sys-boot/raspberrypi-firmware

2019-03-15 Thread Conrad Kostecki
Hi!

> Michał Górny  hat am 15. März 2019 um 11:29 geschrieben:
> 
> 
> # Michael Weber  (17 Jul 2013)
> # Upstream next versions
> # Michał Górny  (15 Mar 2019)
> # No single unmasked version since.  Removal in 30 days.  Bug #671238.
> >=sys-boot/raspberrypi-firmware-1_pre

Could we keep this package? I can take it, and make a proper release, if that 
would be enough to keep this package? I am using this on my gentoo with my Rpi3.

Conrad



Re: [gentoo-dev] Last Rites: sys-fs/cryptmount

2019-03-07 Thread Conrad Kostecki
Hi Matt,

> Matt Turner  hat am 7. März 2019 um 06:34 geschrieben:
> # Matt Turner  (06 Mar 2019)
> # Does not build with glibc >= 2.25 (stabilized a year ago). Unmaintained by
> # maintainer-by-proxy: Bugs #628734 and #641176
> # Removal in 30 days
> sys-fs/cryptmount

I've submitted a PR for a version bump, which should fix all those bugs.

Cheers
Conrad



Re: [gentoo-dev] [PATCH] eclass/webapp.eclass: fix ROOT path with EAPI=7

2019-01-27 Thread Conrad Kostecki
*ping* Any thoughts on this?

> con...@kostecki.com hat am 17. November 2018 um 21:35 geschrieben:
> 
> 
> From: Conrad Kostecki 
> 
> Closes: https://bugs.gentoo.org/671258
> Signed-off-by: Conrad Kostecki 
> ---
>  eclass/webapp.eclass | 14 +++---
>  1 file changed, 7 insertions(+), 7 deletions(-)
> 
> diff --git a/eclass/webapp.eclass b/eclass/webapp.eclass
> index 8983af334ab..e11835735ca 100644
> --- a/eclass/webapp.eclass
> +++ b/eclass/webapp.eclass
> @@ -42,9 +42,9 @@ IS_REPLACE=0
>  INSTALL_CHECK_FILE="installed_by_webapp_eclass"
>  SETUP_CHECK_FILE="setup_by_webapp_eclass"
>  
> -ETC_CONFIG="${ROOT}etc/vhosts/webapp-config"
> -WEBAPP_CONFIG="${ROOT}usr/sbin/webapp-config"
> -WEBAPP_CLEANER="${ROOT}usr/sbin/webapp-cleaner"
> +ETC_CONFIG="${ROOT%/}/etc/vhosts/webapp-config"
> +WEBAPP_CONFIG="${ROOT%/}/usr/sbin/webapp-config"
> +WEBAPP_CLEANER="${ROOT%/}/usr/sbin/webapp-cleaner"
>  
>  # 
> ==
>  # INTERNAL FUNCTIONS
> @@ -365,7 +365,7 @@ webapp_src_preinst() {
>  # @DESCRIPTION:
>  # The default pkg_setup() for this eclass. This will gather required 
> variables
>  # from webapp-config and check if there is an application installed to
> -# `${ROOT}/var/www/localhost/htdocs/${PN}/' if USE=vhosts is not set.
> +# `${ROOT%/}/var/www/localhost/htdocs/${PN}/' if USE=vhosts is not set.
>  #
>  # You need to call this function BEFORE anything else has run in your custom
>  # pkg_setup().
> @@ -389,7 +389,7 @@ webapp_pkg_setup() {
>   G_HOSTNAME="localhost"
>   webapp_read_config
>  
> - local my_dir="${ROOT}${VHOST_ROOT}/${MY_HTDOCSBASE}/${PN}"
> + local my_dir="${ROOT%/}/${VHOST_ROOT}/${MY_HTDOCSBASE}/${PN}"
>  
>   # if USE=vhosts is enabled OR no application is installed we're done 
> here
>   if ! has vhosts ${IUSE} || use vhosts || [[ ! -d "${my_dir}" ]]; then
> @@ -453,7 +453,7 @@ webapp_src_install() {
>  # @FUNCTION: webapp_pkg_postinst
>  # @DESCRIPTION:
>  # The default pkg_postinst() for this eclass. This installs the web 
> application to
> -# `${ROOT}/var/www/localhost/htdocs/${PN}/' if USE=vhosts is not set. 
> Otherwise
> +# `${ROOT%/}/var/www/localhost/htdocs/${PN}/' if USE=vhosts is not set. 
> Otherwise
>  # display a short notice how to install this application with webapp-config.
>  #
>  # You need to call this function AFTER everything else has run in your custom
> @@ -464,7 +464,7 @@ webapp_pkg_postinst() {
>   webapp_read_config
>  
>   # sanity checks, to catch bugs in the ebuild
> - if [[ ! -f "${ROOT}${MY_APPDIR}/${INSTALL_CHECK_FILE}" ]]; then
> + if [[ ! -f "${ROOT%/}/${MY_APPDIR}/${INSTALL_CHECK_FILE}" ]]; then
>   eerror
>   eerror "This ebuild did not call webapp_src_install() at the 
> end"
>   eerror "of the src_install() function"
> -- 
> 2.19.1
> 
>

Conrad Kostecki



Re: [gentoo-dev] Packages up for grabs from xmw@g.o

2018-11-25 Thread Conrad Kostecki

Am 25.11.2018 11:04:57, "Michał Górny"  schrieb:


app-admin/makepasswd
app-laptop/thinkfan
app-misc/wipe
net-analyzer/tcping
I would like to maintain these packages, since I am using these by 
myself.


Conrad